%define mainversion 1.6.1
%define extraversion

Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>
Name:		OpenEXR
Version:	1.6.1
Release:	2
License:	GNU/GPL 
URL:		http://www.openexr.com
Group:		Multimedia
Source0:	openexr-%{mainversion}.tar.gz
Patch1: 	OpenEXR-1.6.1-pkgconfig.patch
Patch2: 	openexr-1.6.1-gcc43.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	%{name} is a high dynamic-range (HDR) image file format.
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:	ilmbase-devel
BuildRequires:  zlib-devel
Obsoletes:	%{name}-doc %{name}-examples

%description
%{name} is a high dynamic-range (HDR) image file format developed by
Industrial Light & Magic for use in computer imaging applications.
%{name} is used by ILM on all motion pictures currently in production.
The first movies to employ %{name} were Harry Potter and the Sorcerers Stone,
Men in Black II, Gangs of New York, and Signs. Since then,
%{name} has become ILM's main image file format. 
For more details see: %{url}

%package devel
Summary: 	%{name} development headers.
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires: 	ilmbase-devel
Requires: 	pkgconfig

%description devel
Header and include files for developing applications with %{name}.


%post
ldconfig

%postun
ldconfig

%prep
%setup -n openexr-%{mainversion}
%patch1 -p1 -b .pkgconfig
%patch2 -p1 -b .gcc43

aclocal -Im4
libtoolize --force
rm -f configure
autoconf



%build
%configure --disable-static

# hack to omit unused-direct-shlib-dependencies
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# prepare docs
mkdir -p rpmdocs
cp -a IlmImfExamples rpmdocs/examples
rm -rf rpmdocs/examples/.deps

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog LICENSE NEWS README
%{_libdir}/lib*.so.*
%{_bindir}/*

%files devel
%defattr(-,root,root)
%{_datadir}/aclocal/*
%{_includedir}/OpenEXR/*
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jul 02 2008 Christian Metzen <metzench@ccux-linux.de> 1.6.1-2
- obsolete doc and examples package
* Wed Dec 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.6.1-1
- Version Update
* Sat Jan 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0a-1
- Version Update
* Fri Sep 15 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0-2
- fixed pkgconfig include path
* Sat Aug 12 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0-1
- Version Update
* Tue Jul 05 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.2-2
- Tweaked specfile, moved more files to devel Package
* Sat Jul 02 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.2.2-1
- Version Update to 1.2.2
* Mon Mar 14 2005 Christian Wasem <wasem@ccux-linux.de> 1.2.1-1
- Initial Release
